#ifndef TRANSFORMATION_H
#define TRANSFORMATION_H

#include <GL/glew.h>

extern void lookAt(GLfloat* out, GLfloat* eye, GLfloat* look, GLfloat* up);
extern void perspectiveProjection(GLfloat* out, GLfloat near, GLfloat far);
extern void normalisedDeviceCoordinates(GLfloat* out, GLfloat r, GLfloat l, GLfloat t, GLfloat b, GLfloat n, GLfloat f);
extern void normalisedPerspective(GLfloat* out, GLfloat r, GLfloat l, GLfloat t, GLfloat b, GLfloat n, GLfloat f);

#endif